| Home | Libraries | People | FAQ | More

## Function template find_end

boost::compute::find_end — Substring matching algorithm.

## Synopsis

    // In header: <boost/compute/algorithm/find_end.hpp>

    template<typename TextIterator, typename PatternIterator>
      TextIterator
      find_end(TextIterator t_first, TextIterator t_last, PatternIterator p_first,
               PatternIterator p_last,
               command_queue & queue = system::default_queue());

## Description

Searches for the last match of the pattern [p_first, p_last) in text [t_first, t_last). Space complexity: \Omega(n)

Parameters: |
`p_first` | Iterator pointing to start of pattern
`p_last` | Iterator pointing to end of pattern
`queue` | Queue on which to execute
`t_first` | Iterator pointing to start of text
`t_last` | Iterator pointing to end of text
Returns: | Iterator pointing to beginning of last occurence